Skip to main content
GET
/
kalshi
/
markets
/
{marketTicker}
/
history
cURL
curl --request GET \
  --url https://api.example.com/kalshi/markets/{marketTicker}/history
import requests

url = "https://api.example.com/kalshi/markets/{marketTicker}/history"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/kalshi/markets/{marketTicker}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "history": [
    {
      "timestamp": 123,
      "yes_price": 123
    }
  ]
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Path Parameters

marketTicker
string
required

Market ticker

Example:

"KXBTC-25JAN03-B101"

Query Parameters

start_ts
number | null

Start timestamp (Unix seconds). Defaults to 30 days ago.

Example:

1704067200

end_ts
number | null

End timestamp (Unix seconds). Defaults to now.

Example:

1704153600

period_interval
number | null

Candle interval in minutes. Defaults to 60 (1 hour).

Example:

60

Response

Price history for the market

history
object[]
required